# Generated by Django 4.1.10 on 2024-02-20 10:16

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0074_mainresultspage"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainresultspage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "flip_cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Nadpis"
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            template="styleguide2/includes/atoms/text/prose_richtext.html"
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obsah",
            ),
        ),
    ]
